From c32a7e6e9efed84e045e0c6375332ad8eacb6f3d Mon Sep 17 00:00:00 2001
From: Renatafsouza <renata.rfsouza@gmail.com>
Date: Jun 21 2018 01:57:05 +0000
Subject: [PATCH 40/42] [Clean code] Improving variable name


---

diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index 16ab84d..ec4df40 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -53,8 +53,8 @@ export default {
         await store.dispatch('fetchAnalysis', to.params.package)
       } else {
         const packageId = Number(to.query.package)
-        filtered = store.getters.allPackages.filter(p => {
-          return p.id === packageId
+        filtered = store.getters.allPackages.filter(pack => {
+          return pack.id === packageId
         })[0]
       }
       next(
@@ -96,14 +96,15 @@ export default {
     ]),
     lastVersion () {
       if (this.currentPackage) {
-        return this.currentPackage.versions.sort((a, b) => { return a.number < b.number })[0].number
+        return this.currentPackage.versions.sort((version_a, version_b) => { 
+          return version_a.number < version_b.number })[0].number
       }
     },
     selectedAnalyzer () {
       return (
         this.analysis ||
         [{id: 0, analyzers: {name: 'teste', id: 0}}]
-      ).find(a => a.id === this.selectAnalysisId)
+      ).find(analysisItem => analysisItem.id === this.selectAnalysisId)
     },
     selectedAnalyzerName () {
       return (this.selectedAnalyzer || {analyzers: {name: 'error'}}).analyzers.name

